Bug 132151 - libgnomeprint can't print large files completely
Summary: libgnomeprint can't print large files completely
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libgnomeprint22   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-09 09:40 UTC by Yu Shao
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 15:49:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
four.txt (26.19 KB, text/plain)
2004-09-09 09:42 UTC, Yu Shao
no flags Details
ime.h.utf8 (68.63 KB, text/plain)
2004-09-10 00:29 UTC, Yu Shao
no flags Details

Description Yu Shao 2004-09-09 09:40:47 UTC
Description of problem:
When use gedit, large files like attached four.txt can't be printed
completed, randomly stopped, like after 3 pages, or 6 pages.

Version-Release number of selected component (if applicable):

libgnomeprint22-2.7.1-5

How reproducible:
use gedit to print four.txt

Steps to Reproduce:
1.
2.
3.
  
Actual results:
printing randomly stopped

Expected results:
print full file completely

Additional info:

Comment 1 Yu Shao 2004-09-09 09:42:10 UTC
Created attachment 103629 [details]
four.txt

Comment 2 Owen Taylor 2004-09-09 19:47:44 UTC
Is this reproducable with non-garbage files?


Comment 3 Yu Shao 2004-09-10 00:29:16 UTC
Created attachment 103661 [details]
ime.h.utf8

Tried this file twice, first try got 16 of 29 pages, second try got all 29
pages.

Comment 4 Owen Taylor 2004-09-15 18:46:54 UTC
Can you reproduce when printing to a file? I'm not sure that the
problem isn't elsewhere in the printing stack, especially since
you've seen similar issues with OpenOffice.org.


Comment 5 Leon Ho 2005-02-07 15:49:53 UTC
It is seems like a printer specific problem (we had the same trouble
on dealing with large postscript on our HP 4050 too) as we can view
the PS in ggv.

Will close this bug until we proved otherwise.



Note You need to log in before you can comment on or make changes to this bug.